%{?mingw_package_header}

Name:           mingw-orc
Version:        0.4.25
Release:        %mkrel 1
Summary:        Cross compiled Oil Run-time Compiler

Group:          Development/Other
License:        BSD
URL:            http://code.entropywave.com/projects/orc/
Source0:        http://gstreamer.freedesktop.org/src/orc/orc-%{version}.tar.xz

BuildArch:      noarch

BuildRequires:  mingw32-filesystem >= 95
BuildRequires:  mingw64-filesystem >= 95
BuildRequires:  mingw32-gcc
BuildRequires:  mingw64-gcc


%description
Orc is a library and set of tools for compiling and executing
very simple programs that operate on arrays of data.  The "language"
is a generic assembly language that represents many of the features
available in SIMD architectures, including saturated addition and
subtraction, and many arithmetic operations.


# Mingw32
%package -n mingw32-orc
Summary: %{summary}

%description -n mingw32-orc
Cross compiled Oil Run-time Compiler.

%package -n mingw32-orc-compiler
Summary:        Orc compiler
Group:          Development/Other
Requires:       mingw32-orc = %{version}-%{release}
Requires:       pkgconfig

%description -n mingw32-orc-compiler
The Orc compiler, to produce optimized code.

# Mingw64
%package -n mingw64-orc
Summary: %{summary}

%description -n mingw64-orc
Cross compiled Oil Run-time Compiler.

%package -n mingw64-orc-compiler
Summary:        Orc compiler
Group:          Development/Other
Requires:       mingw64-orc = %{version}-%{release}
Requires:       pkgconfig

%description -n mingw64-orc-compiler
The Orc compiler, to produce optimized code.

%{?mingw_debug_package}


%prep
%setup -q -n orc-%{version}


%build
%mingw_configure \
    --enable-shared \
    --disable-static \
    --disable-gtk-doc \
    --enable-user-codemem
%mingw_make %{?_smp_mflags} V=1


%install
%mingw_make_install "DESTDIR=$RPM_BUILD_ROOT" INSTALL="install -p"

# Libtool files don't need to be bundled
find $RPM_BUILD_ROOT -name "*.la" -delete
# Remove gtk documentation.
rm -rf $RPM_BUILD_ROOT%{mingw32_datadir}/gtk-doc $RPM_BUILD_ROOT%{mingw64_datadir}/gtk-doc


# Mingw32
%files -n mingw32-orc
%license COPYING
%doc README
%{mingw32_bindir}/liborc-0.4-0.dll
%{mingw32_bindir}/liborc-test-0.4-0.dll
%{mingw32_bindir}/orc-bugreport.exe
%{mingw32_datadir}/aclocal/orc.m4
%{mingw32_includedir}/orc-0.4/
%{mingw32_libdir}/liborc-0.4.dll.a
%{mingw32_libdir}/liborc-test-0.4.dll.a
%{mingw32_libdir}/pkgconfig/orc-0.4.pc

%files -n mingw32-orc-compiler
%{mingw32_bindir}/orcc.exe

# Mingw64
%files -n mingw64-orc
%license COPYING
%doc README
%{mingw64_bindir}/liborc-0.4-0.dll
%{mingw64_bindir}/liborc-test-0.4-0.dll
%{mingw64_bindir}/orc-bugreport.exe
%{mingw64_datadir}/aclocal/orc.m4
%{mingw64_includedir}/orc-0.4/
%{mingw64_libdir}/liborc-0.4.dll.a
%{mingw64_libdir}/liborc-test-0.4.dll.a
%{mingw64_libdir}/pkgconfig/orc-0.4.pc

%files -n mingw64-orc-compiler
%{mingw64_bindir}/orcc.exe




%changelog
* Thu May 26 2016 tv <tv> 0.4.25-1.mga6
+ Revision: 1018807
- new release

* Wed May 11 2016 tv <tv> 0.4.24-3.mga6
+ Revision: 1012804
+ rebuild (emptylog)

* Wed May 11 2016 tv <tv> 0.4.24-2.mga6
+ Revision: 1012793
- new release

* Mon Feb 01 2016 umeabot <umeabot> 0.4.16-7.mga6
+ Revision: 930888
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.4.16-6.mga5
+ Revision: 746654
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.4.16-5.mga5
+ Revision: 682503
- Mageia 5 Mass Rebuild

* Sun Oct 27 2013 neoclust <neoclust> 0.4.16-4.mga4
+ Revision: 547361
- imported package mingw-orc

